import java.awt.*;
import java.util.*;

public interface Algorithm {  
  public SimManager getSimManager();
  public int getSimulationTime();
  public void enqueue(Message message);
  public int getNumberOfNodes();
  public Vector getMessages();
  public int[] getDecisions();
  public void incrementClock(int t);
  public void addRow(String string, int node, boolean withApplicationButton);
  public CommunicationGraph getCommunicationGraph();
  public Vector getOutgoingBuffers(int i);
  public HistoryFrame getHistoryFrame();
  public GraphFrame getGraphFrame();
  public void addEdge(Koord k);
  public void deleteEdge(Koord k);
  
  
  
  
  
  
  
  
  
  
}
