import sysPr.*;

class BasicMessage {
  static final int DATALEN = 10;
  
  SimProcess source, destination;
  String type;
  String label = null;
  double timestamp;
  int creationTime;
  int deliveringTime;
    
  public BasicMessage(SimProcess f_source, SimProcess f_destination, String f_type,
		      int latency) {
    source = f_source;
    destination = f_destination;
    type = f_type;
    timestamp = source.incrementTime();
    creationTime = ((Algorithm)(source.scheduler.system)).getSimulationTime();
    deliveringTime = creationTime + latency;
  }
  
  public void print(String string) {
    SystemPrinter.println(string + "source = " + source.getName()
			  + ", destination = " + destination.getName()
			  + ", type = " + type
			  + ", timestamp = " + timestamp
			  + ", creationTime = " + creationTime
			  + ", deliveringTime = " + deliveringTime);
  }
}
