import java.awt.*;

import sysPr.*;

public class Message extends BasicMessage {
  int winner;
    
  public Message(SimProcess source, SimProcess destination, String type,
		 int j, int latency) {
    super(source, destination, type, latency);
    this.winner = j;
    this.label = "" + (winner + 1);
  }
  
  public Color getColor() {
    if (type.equals("NOTIFY")) return Color.green;
    else if (type.equals("GRANT")) return Color.blue;
    else if (type.equals("ACK")) return Color.magenta;
    else if (type.equals("DONE")) return Color.red;
    else return Color.black;
  }


  public void print(String string) {
    SystemPrinter.println(string + "source = " + source.getName()
			  + ", destination = " + destination.getName()
			  + ", type = " + type
			  + ", timestamp = " + timestamp
			  + ", creationTime = " + creationTime
			  + ", deliveringTime = " + deliveringTime
			  + ", winner = " + winner);
  }
}
