import scheduler.*;
import sysPr.*;

class Timer extends Thread {
  private Scheduler scheduler;

  public Timer(Scheduler scheduler) {
    this.scheduler = scheduler;
  }

  public void run () {
    while (true) {
      try {
        sleep(1000);
      } catch (InterruptedException e) { }
      // SystemPrinter.println("Timer Interrupt");
      scheduler.system.incrementClock(1);
      scheduler.schedule();
    }
  }
}


