/*
 * GraphLayoutManager.java
 *
 * Created on 28. November 2000, 21:03
 */
 


/** 
 *
 * @author  fhofmann
 * @version 
 */

import sysPr.*;

public class GraphLayoutManager extends Object {
  int r;
  int xoffset;
  int yoffset;
  Algorithm algorithm;

  /** Creates new GraphLayoutManager */
  public GraphLayoutManager(Algorithm a) {
    r = 100;
    xoffset = 250;
    yoffset = 150;
    algorithm = a;
  }
  
  public void layout(GraphNode []nodes)
  {
    int anz = algorithm.getNumberOfNodes();
    // CircleLayout
   
    GraphNode m;
    for (int i = 0; i < algorithm.getNumberOfNodes(); i++)
    {
      m = (GraphNode)nodes[i]; 
      m.setx(xoffset + (int)(r * Math.cos(2 * Math.PI / anz * i)));
      m.sety(yoffset + (int)(r * Math.sin(2 * Math.PI / anz * i)));
    }
  }
}
