package sysPr;

import java.lang.*;
import java.io.*;

public class SystemPrinter {
  static PrintWriter tmp= null;
  static boolean existing = false;
  static int printcount = 1;
    
  public SystemPrinter() {
    if (!existing) {
      existing = true;
      try {
        File file = new File("tmp.txt");
        // System.out.println("file: " + file);
        FileOutputStream fileOutputStream = new FileOutputStream(file);
        // System.out.println("fileOutputStream: " + fileOutputStream);
        tmp = new PrintWriter(fileOutputStream);
      } catch (IOException e) {
        System.out.println("PrintWriter tmp konnte nicht angelegt werden");
      } catch (Exception e) {
        System.out.println("Exception: " + e);
      }
    }
  }
    
  static public synchronized void print(String string, boolean beginOfLine) {
    if (beginOfLine) {
      tmp.print((printcount) + "  "
                 + Thread.currentThread().getName() + ": " + string);
      System.out.print((printcount++) + "  "
                       + Thread.currentThread().getName() + ": " + string);
    } else {
      tmp.print(string);
      System.out.print(string);
    }
  }
  
  static public synchronized void println(String string) {
    tmp.println((printcount) + "  "
	        + Thread.currentThread().getName() + ": " + string);
    System.out.println((printcount++) + "  "
		       + Thread.currentThread().getName() + ": " + string);
  }
  
  static public void close() {
    tmp.flush();
    tmp.close();
  }
}
